Bug 105021 - Up2date broke httpd on RH7.1 Server
Up2date broke httpd on RH7.1 Server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-24 14:26 EDT by David M. Brown
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 12:34:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David M. Brown 2003-09-24 14:26:59 EDT
Description of problem:
The night of Sept 22, rhn updates on a 7.2 server broke httpd services.  I 
receive the following error when trying to start httpd:
 
[Tue Sep 23 10:48:43 2003] [error] Can't locate strict.pm in @INC (@INC
contains: /usr/lib/perl5/5.6.0/i386-
linux /usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl . /etc/httpd/ /
etc/httpd/lib/perl) at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!BEGIN
failed--compilation aborted at /usr/lib/per
l5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!Compilation failed in
require at (eval 1) line 3.!

It appears to be looking for the 5.6.0 version of perl, which has been
updated to 5.6.1.  How can I fix this?

I sent the above text to Support and was advised to submit to Bugzilla.  
Presently, httpd services will not run on this device and I can find no 
available .RPM for perl 5.6.0.  This has created a down service for webmail on 
a customer facing service.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.